%define major 1
%define libname %mklibname ical %{major}
%define libnamess %mklibname icalss %{major}
%define libnamevcal %mklibname icalvcal %{major}
%define devname %mklibname ical -d

Summary:	An implementation of basic iCAL protocols
Name:		libical
Version:	1.0.1
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://sourceforge.net/projects/freeassociation/
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		libical-1.0-avoid-putenv.patch
BuildRequires:	bison
Buildrequires:	cmake
BuildRequires:	flex

Requires:	tzdata

%description
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating
the component properties, parameters, and subcomponents.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Files for developing applications that use libical
Group:		System/Libraries

%description -n %{libname}
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating
the component properties, parameters, and subcomponents.

%files -n %{libname}
%{_libdir}/libical.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libnamess}
Summary:	Files for developing applications that use libical
Group:		System/Libraries

%description -n %{libnamess}
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating
the component properties, parameters, and subcomponents.

%files -n %{libnamess}
%{_libdir}/libicalss.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libnamevcal}
Summary:	Files for developing applications that use libical
Group:		System/Libraries

%description -n %{libnamevcal}
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating
the component properties, parameters, and subcomponents.

%files -n %{libnamevcal}
%{_libdir}/libicalvcal.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files for developing applications that use libical
Group:		Development/C
Provides:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires:	%{libnamess} = %{EVRD}
Requires:	%{libnamevcal} = %{EVRD}

%description -n %{devname}
The header files and libtool library for developing applications that
use libical.

%files -n %{devname}
%doc LICENSE ReadMe.txt THANKS
%doc doc/UsingLibical*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/LibIcal

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake
%make

%install
%makeinstall_std -C build


%changelog

* Sat Mar 14 2015 Tigro <ashejn@yandex-team.ru> 1.0.1-1
- (ab3bb7c) update %doc section


